#include "GameObjective_ActivatedGenerators.h"
#include "Net/UnrealNetwork.h"

class AActor;

void AGameObjective_ActivatedGenerators::OnRep_RequiredCount(int32 oldCount)
{

}

void AGameObjective_ActivatedGenerators::OnRep_ActivatedCount(int32 oldCount)
{

}

void AGameObjective_ActivatedGenerators::Authority_OnGeneratorActivated(bool activated, AActor* generatorActor)
{

}

void AGameObjective_ActivatedGenerators::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(AGameObjective_ActivatedGenerators, _objectiveCountType);
	DOREPLIFETIME(AGameObjective_ActivatedGenerators, _requiredCount);
	DOREPLIFETIME(AGameObjective_ActivatedGenerators, _activatedCount);
}

AGameObjective_ActivatedGenerators::AGameObjective_ActivatedGenerators()
{
	this->_objectiveCountType = EActivatedGenerators_ObjectiveCountType::Invalid;
	this->_requiredCount = -1;
	this->_activatedCount = 0;
}
